name:                 mtl
version:              2.3.1
visibility:           public
id:                   mtl-2.3.1-inplace
key:                  mtl-2.3.1-inplace
license:              BSD-3-Clause
maintainer:
    chessai <chessai1996@gmail.com>,
    Emily Pillmore <emilypi@cohomolo.gy>,
    Koz Ross <koz.ross@retro-freedom.nz>

author:               Andy Gill
homepage:             http://github.com/haskell/mtl
synopsis:
    Monad classes for transformers, using functional dependencies

description:
    MTL is a collection of monad classes, extending the 'transformers'
    package, using functional dependencies for generic lifting of
    monadic actions.

category:             Control
abi:                  e6b6a8e71503e003c0593c6209edb38c
exposed:              True
exposed-modules:
    Control.Monad.Accum Control.Monad.Cont Control.Monad.Cont.Class
    Control.Monad.Error.Class Control.Monad.Except
    Control.Monad.Identity Control.Monad.RWS Control.Monad.RWS.CPS
    Control.Monad.RWS.Class Control.Monad.RWS.Lazy
    Control.Monad.RWS.Strict Control.Monad.Reader
    Control.Monad.Reader.Class Control.Monad.Select Control.Monad.State
    Control.Monad.State.Class Control.Monad.State.Lazy
    Control.Monad.State.Strict Control.Monad.Trans Control.Monad.Writer
    Control.Monad.Writer.CPS Control.Monad.Writer.Class
    Control.Monad.Writer.Lazy Control.Monad.Writer.Strict

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/mtl-2.3.1-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/mtl-2.3.1-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/mtl-2.3.1-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:             ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/mtl-2.3.1
hs-libraries:         HSmtl-2.3.1-inplace
depends:              base-4.20.0.0-inplace transformers-0.6.1.1-inplace
haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/mtl-2.3.1-inplace/mtl.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/mtl-2.3.1-inplace"
